Name:           gnome-chemistry-utils
Version:        0.10.9
Release:        1%{?dist}
Summary:        A set of chemical utilities

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.nongnu.org/gchemutils/
Source0:        http://download.savannah.nongnu.org/releases/gchemutils/0.10/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bodr
BuildRequires:  chemical-mime-data
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  gecko-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  goffice-devel
BuildRequires:  gtkglext-devel
BuildRequires:  intltool
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  man
BuildRequires:  openbabel-devel >= 2.1.0
BuildRequires:  perl(XML::Parser)
BuildRequires:  scrollkeeper

Requires:       bodr
Requires:       chemical-mime-data
Requires:       hicolor-icon-theme

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Provides:       gchempaint = %{version}-%{release}

Obsoletes:      gchempaint < 0.8.7-4
Obsoletes:      gnome-chemistry-utils-devel < 0.8.7-3

%description
This package is a set of chemical utils. Several programs are available:
* A 3D molecular structure viewer (GChem3D).
* A Chemical calculator (GChemCalc).
* A 2D structure editor (GChemPaint).
* A periodic table of the elements application (GChemTable).
* A crystalline structure editor (GCrystal).
* A spectra viewer (GSpectrum).

%package        mozplugin
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       mozilla-filesystem

%description    mozplugin
This package is a set of chemical utils. Several programs are available:
* A 3D molecular structure viewer (GChem3D).
* A Chemical calculator (GChemCalc).
* A 2D structure editor (GChemPaint).
* A periodic table of the elements application (GChemTable).
* A crystalline structure editor (GCrystal).
* A spectra viewer (GSpectrum).
This package contains the mozilla plugin


%prep
%setup -q


%build
%configure --disable-update-databases \
           --disable-schemas-install \
           --disable-scrollkeeper \
           --with-mozilla-libdir=%{_libdir}/mozilla
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/{gchem3d,gchemcalc,gchempaint,gchemtable,gcrystal,gspectrum}-0.10.desktop
%find_lang gchemutils-0.10

#kill libtool archives
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils

#kill rpaths
chrpath --delete  $RPM_BUILD_ROOT%{_bindir}/gchem3d-0.10
chrpath --delete  $RPM_BUILD_ROOT%{_bindir}/gchempaint-0.10
chrpath --delete  $RPM_BUILD_ROOT%{_bindir}/gchemcalc-0.10
chrpath --delete  $RPM_BUILD_ROOT%{_bindir}/gcrystal-0.10
chrpath --delete  $RPM_BUILD_ROOT%{_bindir}/gspectrum-0.10
chrpath --delete  $RPM_BUILD_ROOT%{_bindir}/gchemtable-0.10
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/goffice/0.6.6/plugins/gchemutils/gchemutils.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/libgchempaint-0.10.so.%{version}
chrpath --delete  $RPM_BUILD_ROOT%{_libexecdir}/chem-viewer
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/cdx/cdx.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/cycles.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/bonds.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/templates.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/atoms.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/residues.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/text.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/wikipedia.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/selection.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/paint/arrows.so
chrpath --delete  $RPM_BUILD_ROOT%{_libdir}/gchemutils/0.10/plugins/cdxml/cdxml.so

#kill KDE MIME .desktop files
rm -rf $RPM_BUILD_ROOT%{_datadir}/mimelnk

#kill the unnecessary .so symlinks
rm -rf $RPM_BUILD_ROOT%{_libdir}/libgchempaint-0.10.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/libgcpcanvas-0.10.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/libgcu-0.10.so


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/{gchempaint,gchempaint-arrows,gchemutils,gcrystal}.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/{gchempaint,gchempaint-arrows,gchemutils,gcrystal}.schemas > /dev/null || :
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
scrollkeeper-update -q -o %{_datadir}/omf/{gchem3d,gchemcalc,gchempaint,gchemtable,gcrystal,gspectrum}-0.10 || :
/sbin/ldconfig


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gcrystal.schemas > /dev/null || :
fi


%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
scrollkeeper-update -q || :
/sbin/ldconfig


%files -f gchemutils-0.10.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_sysconfdir}/gconf/schemas/gchempaint.schemas
%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas
%{_sysconfdir}/gconf/schemas/gchemutils.schemas
%{_sysconfdir}/gconf/schemas/gcrystal.schemas
%{_bindir}/gchem3d
%{_bindir}/gchem3d-0.10
%{_bindir}/gchemcalc
%{_bindir}/gchemcalc-0.10
%{_bindir}/gchempaint
%{_bindir}/gchempaint-0.10
%{_bindir}/gchemtable
%{_bindir}/gchemtable-0.10
%{_bindir}/gcrystal
%{_bindir}/gcrystal-0.10
%{_bindir}/gspectrum
%{_bindir}/gspectrum-0.10
%{_libdir}/gchemutils
%{_libdir}/goffice/0.6.6/plugins/gchemutils
%{_libdir}/libgchempaint-0.10.so.*
%{_libdir}/libgcpcanvas-0.10.so.*
%{_libdir}/libgcu-0.10.so.*
%{_libexecdir}/chem-viewer
%{_datadir}/applications/fedora-gchem3d-0.10.desktop
%{_datadir}/applications/fedora-gchemcalc-0.10.desktop
%{_datadir}/applications/fedora-gchempaint-0.10.desktop
%{_datadir}/applications/fedora-gchemtable-0.10.desktop
%{_datadir}/applications/fedora-gcrystal-0.10.desktop
%{_datadir}/applications/fedora-gspectrum-0.10.desktop
%{_datadir}/gchemutils
%{_datadir}/gnome/help/gchem3d-0.10
%{_datadir}/gnome/help/gchemcalc-0.10
%{_datadir}/gnome/help/gchempaint-0.10
%{_datadir}/gnome/help/gchemtable-0.10
%{_datadir}/gnome/help/gcrystal-0.10
%{_datadir}/gnome/help/gspectrum-0.10
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/mimetypes/gnome-mime-application-x-gchempaint.png
%{_datadir}/icons/hicolor/*/mimetypes/gnome-mime-application-x-gcrystal.png
%{_mandir}/man1/gchem3d.1*
%{_mandir}/man1/gchemcalc.1*
%{_mandir}/man1/gchempaint.1*
%{_mandir}/man1/gchemtable.1*
%{_mandir}/man1/gcrystal.1*
%{_mandir}/man1/gspectrum.1*
%{_datadir}/mime/packages/gchemutils.xml
%{_datadir}/omf/gchem3d-0.10
%{_datadir}/omf/gchemcalc-0.10
%{_datadir}/omf/gchempaint-0.10
%{_datadir}/omf/gchemtable-0.10
%{_datadir}/omf/gcrystal-0.10
%{_datadir}/omf/gspectrum-0.10

%files mozplugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libmozgcu.so


%changelog
* Sat Nov 14 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.9-1
- Updated to 0.10.9

* Mon Nov 09 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.8-2
- Require mozilla-filesystem instead of %%{_libdir}/mozilla/plugins

* Thu Sep 10 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.8-1
- Updated to 0.10.8

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.5-1
- Updated to 0.10.5
- Killed the .so symlinks, they were unnecessary

* Wed Mar 18 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.4-1
- Updated to 0.10.4
- Dropped upstreamed patches
- Dropped the KDE MIME .desktop files
- Remove the newly-appeared rpaths as well

* Tue Feb 24 2009 Martin Stransky <stransky@redhat.com> - 0.10.3-3
- Patched for NPAPI 1.9.1

* Mon Feb 23 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.3-2
- Patched gcc-4.4 build issues
- Fixed the Source URL
- Made the Provides/Obsoletes versioned
- Cleaned up the old gchempaint-devel Obsoletes
- Updated for goffice-0.6.6

* Tue Jan  6 2009 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.3-1
- Updated to 0.10.3

* Sat Nov 29 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.2-1
- Updated to 0.10.2

* Sat Nov 15 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.1-1
- Updated to 0.10.1

* Fri Oct 31 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.10.0-1
- Updated to 0.10.0

* Wed Oct 22 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.98-1
- Updated to 0.9.98 (AKA 0.10.0 RC1)

* Sat Oct 18 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.93-1
- Updated to 0.9.93

* Mon Sep 29 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.92-1
- Updated to 0.9.92
- Added hicolor-icon-theme to Requires

* Mon Sep 15 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.91-2
- Added bodr to Requires
- Added chrpath to BuildRequires
- Switched to chrpath as a method to eliminate rpaths

* Sun Sep 14 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.91-1
- Updated to 0.9.91
- Dropped the ppc build patch (merged upstream)

* Sun Sep  7 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.90-2
- Patched the ppc build failure, thanks to Tom Callaway and Jean Bréfort

* Sun Sep  7 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.9.90-1
- Updated to 0.9.90
- Replaced the firefox/xulrunner conditional with gecko-devel
- Provide and obsolete gchempaint
- Dropped the rpath killer for the time being
- Dropped the -devel subpackage since it is not needed any more

* Mon Jul  7 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.7-2
- Rebuilt for new openbabel

* Wed Mar 19 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.7-1
- Updated to 0.8.7

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.6-2
- Autorebuild for GCC 4.3

* Sat Jan 26 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.6-1
- Updated to 0.8.6

* Fri Dec 21 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.5-1
- Updated to 0.8.5
- Conditionalised xulrunner usage

* Thu Dec  6 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.4-2
- Rebuilt against xulrunner
- Cleaned up the spec

* Tue Oct 30 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.4-1
- Updated to 0.8.4

* Mon Sep 17 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.3-1
- Updated to 0.8.3

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-4
- Adjusted License tag as per latest guidelines

* Mon Aug  6 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-3
- Added goffice04-devel to -devel subpackage Requires

* Sat Aug  4 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-2
- Added gnome-doc-utils to BuildRequires

* Sun Jul 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.2-1
- Updated to 0.8.2
- Added scrollkeeper stuff
- Added missing GConf Requires

* Fri Jun 29 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.1-1
- Updated to 0.8.1

* Sun May 20 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.8.0-1
- Updated to 0.8.0
- Added %%{_libdir}/mozilla/plugins to -mozplugin subpackage Requires

* Thu May 10 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.96-1
- Updated to 0.7.96

* Wed May  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.95-1
- Updated to 0.7.95

* Sat Apr 21 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.7.91-1
- Updated to 0.7.91

* Mon Apr  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.5-1
- Updated to 0.6.5
- Switched to bzip2 sources
- Added rpath killer

* Sun Jan 14 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.4-1
- Updated to 0.6.4

* Tue Dec 19 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-5
- Rebuild for new openbabel

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-4
- Removed obsolete stuff
- Fixed support for chemical-mime-data
- Removed --add-category X-Fedora from desktop-file-install command

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-3
- Added doxygen to BuildRequires
- Added support for chemical-mime-data

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-2
- Fixed Requires for -devel and -mozplugin packages
- Moved files in docs/reference/html to the devel package
- Install .desktop files using desktop-file-install
- Removed redundant stuff
- Preserve timestamps

* Sat Dec 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-1
- Initial RPM release
